Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002454TestLinkTest Executepublic2009-04-29 19:022010-05-01 20:29
ReporterJulian 
Assigned ToJulian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.1 
Fixed in Version1.9 Beta 4 
Summary0002454: Execution history formatting problems when showing results for all builds
Descriptioncolumns are not properly filled.
See attached screenshot.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon exec_history.PNG [^] (22,737 bytes) 2009-04-29 19:02

- Relationships

-  Notes
(0006683)
fman (administrator)
2009-04-29 23:35

Please give detailed steps to reproduce, expected results and actual results.
Without this info we can not start work on this issue, and image is not enough.
If you can not provide more info we will not have other choice than close it without action.
hope you undertand.
(0006687)
Julian (reporter)
2009-04-29 23:51

parameter in config set to show results for all builds.
the older build is set inactive and closed.

are there special details you need?
(0006689)
fman (administrator)
2009-04-30 00:08

We need step by step to reproduce , i.e. a test case
(0006692)
Julian (reporter)
2009-04-30 00:42

well ok than:

0) set parameter in custom config to show execution results for all builds
1) create testplan
2) create build 4.0.1.11
3) assign testcases to testplan
4) assign testcases to user JulianK
5) login as JulianK
6) execute 1 testcase -> set result to passed
7) login as admin
8) create build 4.0.1.12
9) set build 4.0.1.11 to "inactive", "closed"
10) login as JulianK
11) execute the same testcase and set status to "failed"
--> the execution-table should look as it does in the screenshot
(0006888)
Julian (reporter)
2009-05-14 20:03

i do now know when this problem occurs.

if a build is no longer open the attachments icon disappears in the execution table.
(0006945)
Julian (reporter)
2009-05-19 15:32

in file: gui\templates\execute\inc_exec_show_tc_exec.tpl
there must be a case for download_only i guss but i didnt find a way to fix it myself.

          {if $attachment_model->show_upload_column && !$att_download_only && $tc_old_exec.build_is_open}
                    <td align="center"><a href="javascript:openFileUploadWindow({$tc_old_exec.execution_id},'executions')">
                      <img src="{$smarty.const.TL_THEME_IMG_DIR}/upload_16.png" title="{$labels.alt_attachment_mgmt}"
                           alt="{$labels.alt_attachment_mgmt}"
                           style="border:none" /></a>
              </td>
            {/if}
(0007466)
mhavlat (reporter)
2009-07-09 05:16

Thank you for feedback.
The correct solution is that closed build cannot be visible in the history.

I also noticed that there is the second problem also in user name in title. See picture. Not mentioned in report, but must be fixed as well.
(0007473)
Julian (reporter)
2009-07-09 12:51

i really like to see older executions even for builds that are closed. This is because it gives the tester information what maybe went wrong in earlier testruns, so he can pay special attention to those steps of the test case.
(0007475)
mhavlat (reporter)
2009-07-09 16:05

@Julian: closed = hidden in the case. I create #2710 for terms update.
(0007478)
Julian (reporter)
2009-07-09 21:06

Access denied for me.
(0009348)
Julian (reporter)
2010-03-10 21:55

A lock is shown in attachment column if build has been closed.

- Issue History
Date Modified Username Field Change
2009-04-29 19:02 Julian New Issue
2009-04-29 19:02 Julian File Added: exec_history.PNG
2009-04-29 19:02 Julian Browser => Firefox
2009-04-29 23:35 fman Note Added: 0006683
2009-04-29 23:35 fman Status new => feedback
2009-04-29 23:51 Julian Note Added: 0006687
2009-04-30 00:09 fman Note Added: 0006689
2009-04-30 00:42 Julian Note Added: 0006692
2009-05-14 20:03 Julian Note Added: 0006888
2009-05-19 15:33 Julian Note Added: 0006945
2009-07-09 05:16 mhavlat Note Added: 0007466
2009-07-09 05:16 mhavlat Status feedback => new
2009-07-09 12:51 Julian Note Added: 0007473
2009-07-09 16:05 mhavlat Note Added: 0007475
2009-07-09 21:06 Julian Note Added: 0007478
2010-03-10 21:55 Julian Note Added: 0009348
2010-03-10 21:55 Julian Status new => resolved
2010-03-10 21:55 Julian Fixed in Version => 1.9 Beta 4 (Next public build)
2010-03-10 21:55 Julian Resolution open => fixed
2010-03-10 21:55 Julian Assigned To => Julian
2010-05-01 20:29 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker